Subject: Re: What's cooking in git.git (Mar 2014, #08; Mon, 31)

From: Junio C Hamano <[email-masked]>
Date: Tue, 01 Apr 2014 12:17:01 -0700

Duy Nguyen <[email-masked]> writes:

> The basic support is there. Some bells and whistles (e.g. listing
> checkouts) are not, but we can add them when we see the needs. Eric
> and Torsten helped review but no, there hasn't much discussion about
> it, which may be because it's already perfect, or people are not
> interested.

;-)

> Unfortunately, this multiple checkout thing conflicts with how I
> use emacs (--daemon) so I'm not one of its heavy users either. I
> only occastionally make new, short-lived checkouts to test things.

FWIW, I do keep a permanent multi-checkout and I sometimes make
edits, but it is mostly for building other branches while I work on
something else.  When I edit working-tree files there, I do let
emacsclient talk to the emacs I have files open in the primary
working tree, though, so I am not sure what your issues are with
emacs (--daemon).